ports/134387: Gnome2 depends on apache22

Stephen McKay mckay at FreeBSD.org
Sat May 9 10:50:02 UTC 2009


>Number:         134387
>Category:       ports
>Synopsis:       Gnome2 depends on apache22
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          sw-bug
>Submitter-Id:   current-users
>Arrival-Date:   Sat May 09 10:50:01 UTC 2009
>Closed-Date:
>Last-Modified:
>Originator:     Stephen McKay
>Release:        7.2-RELEASE
>Organization:
>Environment:
>Description:
I'm upgrading a machine from 7.1-RELEASE to 7.2-RELEASE.  As part of this, I'm upgrading 7.1 era ports to the RELEASE_7_2_0 ports.  As part of that, I ran:

$ portupgrade -PP -R gnome2

and right at the end, it dragged in apache-2.2.11_4, apologised a bit for the conflicts with apache+mod_ssl-1.3.39+2.8.30 and apr-db42-1.2.8_2, but slammed it in anyway.  Ouch!

For what earthly reason could gnome depend on apache?
>How-To-Repeat:
$ make -C /usr/ports/x11/gnome2 all-depends-list | grep apache
/usr/ports/www/apache22
$ 
>Fix:


>Release-Note:
>Audit-Trail:
>Unformatted:



More information about the freebsd-ports-bugs mailing list